## org.apache.poi.hssf.usermodel
Class HSSFSimpleShape

    java.lang.Object
      org.apache.poi.hssf.usermodel.HSSFShape
          org.apache.poi.hssf.usermodel.HSSFSimpleShape

Direct Known Subclasses:
  HSSFTextbox

public class HSSFSimpleShape
extends HSSFShape

Represents a simple shape such as a line, rectangle or oval.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` `OBJECT_TYPE_LINE`
`static short` `OBJECT_TYPE_OVAL`
`static short` `OBJECT_TYPE_RECTANGLE`

Fields inherited from class org.apache.poi.hssf.usermodel.HSSFShape
`LINESTYLE_DASHDOTDOTSYS, LINESTYLE_DASHDOTGEL, LINESTYLE_DASHDOTSYS, LINESTYLE_DASHGEL, LINESTYLE_DASHSYS, LINESTYLE_DOTGEL, LINESTYLE_DOTSYS, LINESTYLE_LONGDASHDOTDOTGEL, LINESTYLE_LONGDASHDOTGEL, LINESTYLE_LONGDASHGEL, LINESTYLE_NONE, LINESTYLE_SOLID, LINEWIDTH_DEFAULT, LINEWIDTH_ONE_PT`

Method Summary
`int` `getShapeType()` Gets the shape type.
`void` `setShapeType(int shapeType)` Sets the shape types.

Methods inherited from class org.apache.poi.hssf.usermodel.HSSFShape
`countOfAllChildren, getAnchor, getFillColor, getLineStyle, getLineStyleColor, getLineWidth, getParent, isNoFill, setAnchor, setFillColor, setFillColor, setLineStyle, setLineStyleColor, setLineStyleColor, setLineWidth, setNoFill`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OBJECT_TYPE_LINE

    public static final short OBJECT_TYPE_LINE

See Also:
  Constant Field Values

### OBJECT_TYPE_RECTANGLE

    public static final short OBJECT_TYPE_RECTANGLE

See Also:
  Constant Field Values

### OBJECT_TYPE_OVAL

    public static final short OBJECT_TYPE_OVAL

See Also:
  Constant Field Values

Method Detail

### getShapeType

    public int getShapeType()

  Gets the shape type.

  Returns:
    One of the OBJECT_TYPE_* constants.
  See Also:
    `OBJECT_TYPE_LINE`, `OBJECT_TYPE_OVAL`, `OBJECT_TYPE_RECTANGLE`

### setShapeType

    public void setShapeType(int shapeType)

  Sets the shape types.

  Parameters:
    `shapeType` - One of the OBJECT_TYPE_* constants.
  See Also:
    `OBJECT_TYPE_LINE`, `OBJECT_TYPE_OVAL`, `OBJECT_TYPE_RECTANGLE`

Copyright © 2003 Apache Software Foundation.